Maven-compiler-plugin:3.0:compile 错误

Maven 错误

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.0:compile (default-compile) on project d codepot-WebPlatform: Fatal error compiling: invalid target release: 1.8 -> [Help 1]

这是因为 Maven 的版本和 Java 的版本可能不对。

查看 Maven 的版本。

D:\workdir\Ossez Inc\Projects\bcodepot\apps\WebPlatform>mvn -version Apache Maven 3.0.5 (r01de14724cdef164cd33c7c8c2fe155faf9602da; 2013-02-19 08:51:28-0500) Maven home: D:\Dkits\maven\bin\.. Java version: 1.7.0_71, vendor: Oracle Corporation Java home: C:\Program Files\Java\jdk1.7.0_71\jre Default locale: en_US, platform encoding: GBK OS name: "windows 8.1", version: "6.3", arch: "amd64", family: "windows" D:\workdir\Ossez Inc\Projects\bcodepot\apps\WebPlatform>